<?php

namespace App\Controller;

use App\Dto\FiltersDTO;
use App\Form\FiltersType;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\Form\FormInterface;
use Symfony\Component\HttpFoundation\Request;

abstract class FilmAbstractController extends AbstractController
{
    public function formPagination(Request $request): FormInterface
    {
        $session = $request->getSession();

        
        $filterDto = $session->get('filters', new FiltersDTO());
        $filtersForm = $this->createForm(FiltersType::class, $filterDto);

        $filtersForm->handleRequest($request);

        if ($filtersForm->isSubmitted() && $filtersForm->isValid()) {
            $session->set('filters', $filterDto);
        }
        return $filtersForm;
    }
}
